LibreOffice friss verziót hogyan telepíthetem?

Fórum: 

 Sziasztok,

A hivatalos oldalról letöltöttem három fájlt,

LibreOffice_4.4.2_Linux_x86_deb.tar.gz

LibreOffice_4.4.2_Linux_x86_deb_langpack_hu.tar.gz

LibreOffice_4.4.2_Linux_x86_deb_helppack_hu.tar.gz

Ki is csomagoltam a letöltés helyére, ide

/home/balk/Letöltések 

Ez után eltávolítottam a régi irodai csomagot így:

sudo apt-get remove --purge LibreOffice-core

Az eltávolításis megtörtént, ezután meg adtam a letöltött csomagok helyét így:

 cd ~ / Letöltések / LibreOffice_4.4.2_Linux_x86_deb / DEBS

 

Végül telepítettem volna így:

sudo dpkg -i * .deb

De itt márhiba jelzést kaptam a terminálban. Ezt:

dpkg: error processing archive *.deb (--install): az archívum nem elérhető: Nincs ilyen fájl vagy könyvtárHibák történtek a feldolgozáskor: *.deb Tudna valaki segíteni ebben? KöszönettelBalk László 

balazs képe

hello

hello

 

Másik office nincs telepítve? Mit ír ki ha a -i után nem *.deb, hanem a csomagnevet írod?

Értékelés: 

5
Átlag: 5 (1 szavazat)

 Melyik  Linux Mint verzióz

 Melyik  Linux Mint verziót használod? Apt-get autoremove parancsot is kiadtad az eltávolítás után? Szerintem is itt valami keveredés van. Miért nem a hivatalos tárolóból telepíted a LibreOffice-t?

Értékelés: 

5
Átlag: 5 (1 szavazat)
kimarite képe

Fogadd meg a többiek tanácsát

Fogadd meg a többiek tanácsát, valamelyiket. Amúgy nem jó könyvtárba léptél be - vagyis egyáltalán nem léptél be abba a könyvtárba, ahol a telepítő csomag(ok) vannak. Ez így nem túl egyszerű neked.

Melyik LibreOffice verziót telepítenéd pontosan és miért azt?

Értékelés: 

5
Átlag: 5 (1 szavazat)

Végül mégis csak felment.

 Sziasztok,

No végül egy újra indítást követően felment és egyenlőre úgy tűnik hibátlanul működik.

Csak a leírás azt írta, hogy nem kell újra indítani, meg aztán a terminál hiba üzenetei zavartak.

Ezeket végül megoldottam addig kisérleteztem amíg jó nem lett.

A végén már csak valami olyan üzenet volt ami lehet nem is hiba volt. 

Csak éppen sehol nem látam az Irodai csomagot. Aztán most, hogy újra indítottam a gépet végül megjelent a menüben és indítható is.

A 4.4.2.2 akartam telepíteni. 

17.1 es LinuxMint van fent Ebben alapból benne volt a LibreOffice csak éppen egy régebbi verzió, és ezt szerettem volna lecserélni, illetve most már mondhatom, hogy le is cseréltem.

Köszönöm mindenkinek a fáradtságát és hogy segíteni akarttok köszönöm.

 Még valami, amúgy jó könyvtárba léptem, csak az ismertetőben is ~ jel volt ezért került be a hsz-be is így.

De én a terminálban ezt írtam  /home/balk/Letöltések/stb.... /DEBS

Értékelés: 

0
Még nincs értékelve

Megnéztem az összes hszt.

 Minden hsz-t megnéztem, mert ha most meg is oldottam a problémát, nem tudhatom, hogy a jővőben nem lesz-e hasznos amit írtatok.

Pl. más program esetében.

Beléptem a könyvtárba, hiszen kék színnel ki is írta az elérési utat a terminál és utána várta a következő parancsot.

Ami félre értésre adhatot okot az a "~" jel, de én nem azt használtam, hanem a valós elérési utat.

Ezt nemértem: "Ez így nem túl egyszerű neked."

A 4.4.2.2 elvileg legfrisebb verziót, egyrészt mert az automatikus telepítőben régebbi van, másrészt gyakorlásból. És végül mert a réginek valamiért

az ikon sora fekete fehér lett és nem értettem miért, ez jó ürügynek tűnt. Ami végül meg is javult ezzel a telepítéssel.

 

Értékelés: 

0
Még nincs értékelve

 Ha jól látom a lentebbi

 Ha jól látom a lentebbi videóban amit basix linkelt éppen ezt mutatja be.

Köszönöm, hogy fáradtál vele.

Értékelés: 

0
Még nincs értékelve

 A Linux Mint 17.1 "Rebeca"

 A Linux Mint 17.1 "Rebeca"

Nem adtam ki ezt a parancsot, mert a leírás aminek alapján csináltam nem jelzett ilyent.

Mert a hívatalos tárólóban még a 4.2.8 as van. Nem a leg frissebb.

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

LibreOffice

Nekem most alábbi van, de érdekelnek engem is ilyesféle újdonságok. Javaslom egyénként a gdebi csomagtelepítő használatát, nagyon fog tetszeni.

libreoffice --version
LibreOffice 4.3.3.2 430m0(Build:2)

A súgója: libreoffice --help és a kézikönyve: man libreoffice. A fekete-fehér fejléc egy hiányzó csomag miatt lehetett, ilyesmi miatt: libreoffice-gtk, libreoffice-style-galaxy, de pontosan így nem lehet tudni, a parancssoros indításból derül ki mondjuk, és attól is függ, milyen DE-n használod.

Értékelés: 

0
Még nincs értékelve

 Na mondjuk, engem is zavar a

 Na mondjuk, engem is zavar a libre office menüsor szinezete. Van e rá újratelepítés nélküli megoldás?

Értékelés: 

0
Még nincs értékelve
kimarite képe

Asztali környezeted? (Desktop Edition)

Van ilyen, hogy libreoffice-gnome, libreoffice-kde. És van ilyen, hogy libreoffice-style-tango, libreoffice-style-oxygen (crystal). KDE-nél (az asztali környezetek egyike) a KDE és oxygen, crystal. De van több. A kérdés, hogy te mit, milyen DE-t használsz, Cinnamon, Xfce, ... ?

A Synaptic mutatja a csomag tulajdonságait, hogy mi kéne (mihez? ... Cinnamon?).

Lehet terminal-ból indítani - nálam így indul az adatbáziskezelő pl.,

/usr/bin/lobase

de (a TAB billentyű használatával és a Synaptic-ban kukucskáltam). Nem mindegyik LibreOffice.

/usr/bin/lo[TAB]
loadkeys          locate.findutils  lomath
loadunimap        lodraw            look
lobase            loffice           lorder
localc            lofromtemplate    loweb
locale            logger            lowriter
localedef         logname          
locate            loimpress

Vagy.

lo[TAB]
loadkeys          locate.findutils  logsave
loadunimap        lodraw            loimpress
lobase            loffice           lomath
local             lofromtemplate    look
localc            logger            lorder
locale            login             losetup
localedef         logname           loweb
locale-gen        logout            lowntfs-3g
locate            logrotate         lowriter

És a LibreOffice így.

loffice

Értékelés: 

0
Még nincs értékelve
ChuckyPeTyA képe

Létezik Libre office magyar

Létezik Libre office magyar verzióban? Mert nálám sajnos angol, és bár nekem nem okoz gondot, de van a családban, akinek igen.

Értékelés: 

0
Még nincs értékelve
balazs képe

Igen, elég lesz a nyelvi

Igen, elég lesz a nyelvi csomagot telepíteni hozzá, ami a libreoffice-l10n-hu néven fut.

Értékelés: 

0
Még nincs értékelve
kimarite képe

LO 5.0

Amúgy ".deb" fájl kell neked. A kövérített betűs letöltési linkek közül kell választanod, és a géped architektúrájának megfelelő csomagot.

Kiválasztva: LibreOffice Linux - deb (x86), Verzió: 5.0.0, Magyar

Töltse le ezeket a fájlokat, és ebben a sorrendben telepítse őket.

Nem a kívánt verzió?
Nyelv módosítása
Verzió módosítása:

Operációs rendszer módosítása:

vagy letöltheti:

Példa: (32 bit) - a saját könyvtáradba kerül a letöltés, mármint az első. Tehát letöltöd,

wget -c http://download.documentfoundation.org/libreoffice/stable/5.0.0/deb/x86/LibreOffice_5.0.0_Linux_x86_deb.tar.gz

és kibontod.

tar -xvzf LibreOffice_5.0.0_Linux_x86_deb.tar.gz

[ http://www.binarytides.com/linux-tar-command/ ]

Belépsz a letöltési könyvtárba.
(a TAB billentyű kiválóan alkalmas a már beütött név részlet teljes névre való kiegészítésére)

cd LibreOffice_5.0.0.5_Linux_x86_deb/DEBS/

Szimulált telepítés.

sudo dpkg -i --simulate lib*

Én a --simulate kapcsolót használtam, mert nálam már telepítve van egy LibreOffice (és egy OpenOffice is), naná, hogy nem lenne célszerű egymásra telepíteni az irodai alkalmazásokat. Hanem például az opt könyvtárba (a forrásfájlból már). De ha nincs más Office csomagod, telepítheted így, hiba nem mutatkozik szimulálva a telepítést.

Megjegyzés: a Gnome integrációt nem feltétlen okos dolog telepíteni, ha nem Gnome asztali környezetet használsz. Vagy a KDE-set csak akkor, ha KDE-t használsz.

Ami a letöltés kibontott könyvtárában van, azt így láthatod terminálban:

cd LibreOffice_5.0.0.5_Linux_x86_deb/DEBS/

ls -l

A kimenet: (list, azaz felsorolás)

libobasis5.0-base_5.0.0.5-5_i386.deb
libobasis5.0-calc_5.0.0.5-5_i386.deb
libobasis5.0-core_5.0.0.5-5_i386.deb
libobasis5.0-draw_5.0.0.5-5_i386.deb
libobasis5.0-en-us_5.0.0.5-5_i386.deb
libobasis5.0-en-us-base_5.0.0.5-5_i386.deb
libobasis5.0-en-us-calc_5.0.0.5-5_i386.deb
libobasis5.0-en-us-math_5.0.0.5-5_i386.deb
libobasis5.0-en-us-res_5.0.0.5-5_i386.deb
libobasis5.0-en-us-writer_5.0.0.5-5_i386.deb
libobasis5.0-extension-beanshell-script-provider_5.0.0.5-5_i386.deb
libobasis5.0-extension-javascript-script-provider_5.0.0.5-5_i386.deb
libobasis5.0-extension-mediawiki-publisher_5.0.0.5-5_i386.deb
libobasis5.0-extension-nlpsolver_5.0.0.5-5_i386.deb
libobasis5.0-extension-pdf-import_5.0.0.5-5_i386.deb
libobasis5.0-extension-report-builder_5.0.0.5-5_i386.deb
libobasis5.0-filter-data_5.0.0.5-5_i386.deb
libobasis5.0-gnome-integration_5.0.0.5-5_i386.deb
libobasis5.0-graphicfilter_5.0.0.5-5_i386.deb
libobasis5.0-images_5.0.0.5-5_i386.deb
libobasis5.0-impress_5.0.0.5-5_i386.deb
libobasis5.0-kde-integration_5.0.0.5-5_i386.deb
libobasis5.0-librelogo_5.0.0.5-5_i386.deb
libobasis5.0-math_5.0.0.5-5_i386.deb
libobasis5.0-ogltrans_5.0.0.5-5_i386.deb
libobasis5.0-onlineupdate_5.0.0.5-5_i386.deb
libobasis5.0-ooofonts_5.0.0.5-5_i386.deb
libobasis5.0-ooolinguistic_5.0.0.5-5_i386.deb
libobasis5.0-postgresql-sdbc_5.0.0.5-5_i386.deb
libobasis5.0-python-script-provider_5.0.0.5-5_i386.deb
libobasis5.0-pyuno_5.0.0.5-5_i386.deb
libobasis5.0-writer_5.0.0.5-5_i386.deb
libobasis5.0-xsltfilter_5.0.0.5-5_i386.deb
libreoffice5.0_5.0.0.5-5_i386.deb
libreoffice5.0-base_5.0.0.5-5_i386.deb
libreoffice5.0-calc_5.0.0.5-5_i386.deb
libreoffice5.0-debian-menus_5.0.0-5_all.deb
libreoffice5.0-dict-en_5.0.0.5-5_i386.deb
libreoffice5.0-dict-es_5.0.0.5-5_i386.deb
libreoffice5.0-dict-fr_5.0.0.5-5_i386.deb
libreoffice5.0-draw_5.0.0.5-5_i386.deb
libreoffice5.0-en-us_5.0.0.5-5_i386.deb
libreoffice5.0-impress_5.0.0.5-5_i386.deb
libreoffice5.0-math_5.0.0.5-5_i386.deb
libreoffice5.0-ure_5.0.0.5-5_i386.deb
libreoffice5.0-writer_5.0.0.5-5_i386.deb

... de vélhetően elég az egy parancsot kiadnod (a kicsomagolás és a letöltési könyvtárba lépés után),

sudo dpkg -i libreoffice5.0_5.0.0.5-5_i386.deb

majd mindhárom (letöltés*) csomag telepítése után, (ha helyre kell hozni valamely függőséget, beállítást) ezt,

sudo apt-get -f install

vagy telepíted a Gdebi csomagkezelővel az LO-t (vizuálisabb), de ezt is telepíteni kell,

sudo apt-get install gdebi

és megnyitás a Gdebi-vel.

(*) Persze a fenti módszerrel ismételve a teendőket, a lefordított felhasználói felület és a súgó is kellhet. Nem próbáltam így. Vélhetően megnézem az új verziót, de forrásból telepítve (Autoconf) - nálam vannak már LO csomagok telepítve, ezért. A forrásból telepítés kicsit hosszadalmasabb.

Értékelés: 

0
Még nincs értékelve